M_ActivityTaskCFG = {}

function M_ActivityTaskCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityTaskCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Desc1 = "限时登陆", Desc2 = "12:00-13:00", CompleteType = 100, CompleteCount = {12,13}, AwardItem = {1,5000}, CompleteParam = 0}
	self.datas[2] = {ID = 2, Desc1 = "使用鱼雷", Desc2 = "获得10万金币", CompleteType = 101, CompleteCount = {100000}, AwardItem = {57,1}, CompleteParam = 0}
	self.datas[3] = {ID = 3, Desc1 = "捕鱼消耗", Desc2 = "10万金币", CompleteType = 18, CompleteCount = {100000}, AwardItem = {58,1}, CompleteParam = 0}
	self.datas[4] = {ID = 4, Desc1 = "在线时长", Desc2 = "达到30分钟", CompleteType = 13, CompleteCount = {30}, AwardItem = {59,1}, CompleteParam = 0}
	self.datas[5] = {ID = 5, Desc1 = "获得魔石", Desc2 = "100个", CompleteType = 104, CompleteCount = {100}, AwardItem = {60,1}, CompleteParam = 0}
	self.datas[6] = {ID = 6, Desc1 = "限时登陆", Desc2 = "18:00-19:00", CompleteType = 100, CompleteCount = {18,19}, AwardItem = {1,5000}, CompleteParam = 0}
end

M_ActivityTaskCFG:init()
